org.openstreetmap.josm.plugins.streetside

## Class StreetsideCubemap

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.StreetsideAbstractImage
  - - org.openstreetmap.josm.plugins.streetside.StreetsideCubemap

- All Implemented Interfaces:
    java.lang.Comparable<StreetsideAbstractImage>

      public class StreetsideCubemap
      extends StreetsideAbstractImage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static float` | `EPSILON` If two values for field cd differ by less than EPSILON both values are considered equal.

    - ### Fields inherited from class org.openstreetmap.josm.plugins.streetside.StreetsideAbstractImage

      `cd, he, id, latLon, movingHe`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideCubemap(java.lang.String quadId, org.openstreetmap.josm.data.coor.LatLon latLon, double he)` Main constructor of the class StreetsideCubemap

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(StreetsideAbstractImage image)` Comparison method for the StreetsideCubemap object.
    `int` | `getHeight()`
    `int` | `hashCode()` HashCode StreetsideCubemap object.
    `void` | `stopMoving()` stops ImageDisplay WalkAction (not currently supported by Streetside)
    `void` | `turn(double he)` turns ImageDisplay WalkAction (not currently supported by Streetside)

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.StreetsideAbstractImage

      `getCd, getDate, getDate, getHe, getId, getLatLon, getMovingHe, getMovingLatLon, getNe, getPr, getSequence, getTempHe, getTempLatLon, isModified, isVisible, move, next, previous, setCd, setHe, setId, setLatLon, setNe, setPr, setSequence, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EPSILON

          private static final float EPSILON

      If two values for field cd differ by less than EPSILON both values are considered equal.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreetsideCubemap

          public StreetsideCubemap(java.lang.String quadId,
                                   org.openstreetmap.josm.data.coor.LatLon latLon,
                                   double he)

      Main constructor of the class StreetsideCubemap
      Parameters:
        `quadId` - The Streetside id of the base frontal image of the cubemap in quternary
        `latLon` - The latitude and longitude where it is positioned.
        `he` - The direction of the images in degrees, meaning 0 north (camera direction is not yet supported in the Streetside plugin).

  - ### Method Detail

    - #### compareTo

          public int compareTo(StreetsideAbstractImage image)

      Comparison method for the StreetsideCubemap object.
      Parameters:
        `image` - - a StreetsideAbstract image object StreetsideCubemaps are considered equal if they are associated with the same image id - only one cubemap may be displayed at a time. If the image selection changes, the cubemap changes.
      Returns:
        result of the hashcode comparison.
      See Also:
        `StreetsideAbstractImage`

    - #### hashCode

          public int hashCode()

      HashCode StreetsideCubemap object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        int hashCode
      See Also:
        `StreetsideAbstractImage`

    - #### stopMoving

          public void stopMoving()

      stops ImageDisplay WalkAction (not currently supported by Streetside)
      Overrides:
        `stopMoving` in class `StreetsideAbstractImage`
      See Also:
        `StreetsideWalkAction`

    - #### turn

          public void turn(double he)

      turns ImageDisplay WalkAction (not currently supported by Streetside)
      Overrides:
        `turn` in class `StreetsideAbstractImage`
      Parameters:
        `he` - - the direction the camera is facing (heading)
      See Also:
        `StreetsideWalkAction`

    - #### getHeight

          public int getHeight()

      Returns:
        the height of an assembled cubemap face for 16-tiled or 4-tiled imagery
      See Also:
        `StreetsideWalkAction`

JOSM Plugins